misc/183808: calibre missing dependency py-cssutils and qt_hack

W.Scholten w-info2 at xs4all.nl
Sat Nov 9 13:00:01 UTC 2013


>Number:         183808
>Category:       misc
>Synopsis:       calibre missing dependency py-cssutils and qt_hack
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Sat Nov 09 13:00:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     W.Scholten
>Release:        10.3 B2
>Organization:
>Environment:
FreeBSD localhost 10.0-BETA2 FreeBSD 10.0-BETA2 #0 r257166: Sat Oct 26 19:23:22 UTC 2013     root at snap.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64


>Description:
pkg install calibre

Gives no message of missing dependency, but at least for  ebook-convert utility py-cssutils is needed. It was not available as binary, so I used the ports but then when trying:

 ebook-convert a.epub a.pdf

the program quit with error of which the last lines are:

     self.qt_hack, err = plugins['qt_hack']
  File "/usr/local/lib/calibre/calibre/constants.py", line 171, in __getitem__
    raise KeyError('No plugin named %r'%name)
KeyError: "No plugin named u'qt_hack'"


>How-To-Repeat:
See above.

>Fix:


>Release-Note:
>Audit-Trail:
>Unformatted:


More information about the freebsd-bugs mailing list